package de.mannheim.ids.sruws.test;

import static org.junit.Assert.assertEquals;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.nio.charset.Charset;

import org.apache.http.HttpEntity;
import org.apache.http.HttpHeaders;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.HttpClientBuilder;

public class TestClient {
		
	public static void main(String arg[]) throws IOException{
		String url =
//		        "http://localhost:8080/SRU-WS/" +
		 "http://clarin.ids-mannheim.de/fcsws" +
			    "?maximumRecords=10&endpoint=korap";
		
		HttpClient client = HttpClientBuilder.create().build();
		HttpPost post = new HttpPost(url);		
		post.setHeader(HttpHeaders.CONTENT_TYPE, "text/query-cql");
		
		// List<NameValuePair> urlParameters = new ArrayList<NameValuePair>();
		// urlParameters.add(new BasicNameValuePair("query",
		// "Baden-Württemberg"));
		// urlParameters.add(new BasicNameValuePair("maximumRecords", "5"));
		// urlParameters.add(new BasicNameValuePair("endpoint", "korap"));
		// post.setEntity(new UrlEncodedFormEntity(urlParameters));

		String query = "Baden-Württemberg";
//		String query = "Katze";
		
		HttpEntity entity = new StringEntity(query, Charset.defaultCharset());
		post.setEntity(entity);

		HttpResponse response = client.execute(post);
		assertEquals(200,response.getStatusLine().getStatusCode());
				
		// FileWriter fw = new FileWriter(new File("test.xml"));
		BufferedReader reader = new BufferedReader(new InputStreamReader(
				response.getEntity().getContent()));
		String line;
		while ((line = reader.readLine()) != null){
			System.out.println(line);
			// fw.append(line+"\n");
		}
		// fw.close();
	}	
}
